curl --request GET \
--url https://ap.replace-me.example.com/statement/standard \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ap.replace-me.example.com/statement/standard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ap.replace-me.example.com/statement/standard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"uuid": "1d4e2181-eb9d-4229-88fa-6c332387336c",
"statementId": 0,
"accountId": 0,
"clientId": 0,
"accountCode": "string",
"commodity": "CHILLEDWATER",
"glCode": "string",
"chargeAmount": 0,
"status": "ERROR",
"statusMessage": "string",
"property": "string",
"vendor": "string",
"serviceAddress": "string",
"city": "string",
"state": "string",
"zipCode": "string",
"currency": "string",
"startDate": "01/01/2021",
"endDate": "01/01/2021",
"month": 0,
"year": 0,
"dueDate": "01/01/2021",
"newCharges": 0,
"totalAmountDue": 0,
"glSettings": {},
"lines": [
{
"lineItemUuid": "f364a5b9-0981-4434-badf-e750880effab",
"statementUuid": "1d4e2181-eb9d-4229-88fa-6c332387336c",
"statementId": 0,
"chargeName": "string",
"chargeAmount": 0,
"chargeClassification": "string"
}
]
}
]Search Standard Statements
Searches system for Generic Statements. At least one search parameter is required.
Note: Results are returned in page sizes of 500 records, use the page parameter to paginate through full result set.
Response Body Structure
| Path | Type | Description |
|---|---|---|
[].uuid | UUID | EnergyWatch universally unique identifier |
[].statementId | Integer | EnergyWatch statement identifier |
[].accountId | Integer | EnergyWatch account identifier |
[].clientNodeId | Integer | EnergyWatch client node identifier |
[].accountCode | String | EnergyWatch account number |
[].commodity | Enum | Available values : CHILLEDWATER, ELECTRIC, NATURALGAS, STEAM, WATERSEWER |
[].glCode | String | EnergyWatch GL mapping identifier |
[].chargeAmount | Number | Charge amount for statement |
[].status | Enum | Available values : ERROR, NEW, PROCESSED, RETRIEVED, SYSTEM_UPDATED, UPDATED |
[].statusMessage | String | Status message |
[].pdfUrl | String | EnergyWatch Control Code identifier for PDFs |
[].property | String | Property name for statement |
[].vendor | String | Supply vendor |
[].serviceAddress | String | Service address for property |
[].city | String | City name for property |
[].state | String | 2-letter state abbreviation |
[].zipCode | String | Zip code / postal code |
[].currency | String | Currency code |
[].startDate | Date (MM/dd/yyyy) | Start date for statement |
[].endDate | Date (MM/dd/yyyy) | End date for statement |
[].month | Integer | Month for statement |
[].year | Integer | Year for statement |
[].dueDate | Date (MM/dd/yyyy) | The due date |
[].newCharges | Number | New charges for statement |
[].totalAmountDue | Number | The invoice total due |
[].glSettings | Json Object | Open-ended GL mappings |
[].lines | Generic Line Item Model | The statement’s line items |
curl --request GET \
--url https://ap.replace-me.example.com/statement/standard \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ap.replace-me.example.com/statement/standard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ap.replace-me.example.com/statement/standard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"uuid": "1d4e2181-eb9d-4229-88fa-6c332387336c",
"statementId": 0,
"accountId": 0,
"clientId": 0,
"accountCode": "string",
"commodity": "CHILLEDWATER",
"glCode": "string",
"chargeAmount": 0,
"status": "ERROR",
"statusMessage": "string",
"property": "string",
"vendor": "string",
"serviceAddress": "string",
"city": "string",
"state": "string",
"zipCode": "string",
"currency": "string",
"startDate": "01/01/2021",
"endDate": "01/01/2021",
"month": 0,
"year": 0,
"dueDate": "01/01/2021",
"newCharges": 0,
"totalAmountDue": 0,
"glSettings": {},
"lines": [
{
"lineItemUuid": "f364a5b9-0981-4434-badf-e750880effab",
"statementUuid": "1d4e2181-eb9d-4229-88fa-6c332387336c",
"statementId": 0,
"chargeName": "string",
"chargeAmount": 0,
"chargeClassification": "string"
}
]
}
]Authorizations
Token returned by POST /authenticate. Expires after 60 minutes of inactivity.
Query Parameters
EnergyWatch account number
EnergyWatch account identifier
Charge amount for statement
City name for property
EnergyWatch client node identifier
Available values : CHILLEDWATER, ELECTRIC, NATURALGAS, STEAM, WATERSEWER
CHILLEDWATER, ELECTRIC, NATURALGAS, STEAM, WATERSEWER Currency code
Format: MM/dd/yyyy.
Format: MM/dd/yyyy.
EnergyWatch GL mapping identifier
Month for statement
New charges for statement
EnergyWatch Control Code identifier for PDFs
Property name for statement
Service address for property
Format: MM/dd/yyyy.
2-letter state abbreviation
EnergyWatch statement identifier
Available values : ERROR, NEW, PROCESSED, RETRIEVED, SYSTEM_UPDATED, UPDATED
ERROR, NEW, PROCESSED, RETRIEVED, SYSTEM_UPDATED, UPDATED Status message
The invoice total
Energywatch universally unique identifier
Supply vendor
Year for statement
Zip code / postal code
(Optional) order by clause when searching statements, useful during paginated requests
(Optional) used to paginate through large resultset, NOTE: results come back in page sizes of 500 records
x >= 1Response
Successful response
Show child attributes
Show child attributes

